LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XVBAScriptListener Interface Reference

`import"XVBAScriptListener.idl";`

Inheritance diagram for XVBAScriptListener:

## Public Member Functions
void | notifyVBAScriptEvent ([in] VBAScriptEvent Event)
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ notifyVBAScriptEvent()

void notifyVBAScriptEvent | ( | [in] VBAScriptEvent | Event | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/script/vba/XVBAScriptListener.idl